Bug 244592 - An upgrade to 2.8.4.0 is needed
An upgrade to 2.8.4.0 is needed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wxPython (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
:
Depends On: 241157
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-17 16:50 EDT by Knut-Håvard Aksnes
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.8.4.0-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-01 23:43:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Knut-Håvard Aksnes 2007-06-17 16:50:44 EDT
Description of problem:

The picard tagger from musicbrainz depend on wxPython 2.8.4.0 to function as it
needs the backward compability code in PyEventBinder.

Version-Release number of selected component (if applicable):

2.8.4.0

How reproducible:
Download picard from the musicbrainz web page and try running it. It won't start.
Comment 1 Matthew Miller 2007-06-17 19:20:32 EDT
Status update: busy at work + new build system = slower than I'd like to be on
this. Sorry. Will dedicate some time to it this week.
Comment 2 Kapoios Kanenas 2007-07-01 17:14:57 EDT
Also package "cycle" from F7 is not working with wxPython 2.8.3.0 but it works
with wxPython 2.8.4.0.

(A bug in DateSpan class I think)
Comment 3 Phil Anderson 2007-07-02 03:45:33 EDT
I'm getting the following when running picard-0.7.2 with wxPython-2.8.3.0-1.fc7:
Traceback (most recent call last):
  File "tagger.py", line 5, in <module>
    from picard import tagger
  File "/home/pza/picard-0.7.2/picard/tagger.py", line 64, in <module>
    import wx
ImportError: No module named wx


Is this the same problem?
Comment 4 Knut-Håvard Aksnes 2007-07-02 14:14:12 EDT
(In reply to comment #3)
> I'm getting the following when running picard-0.7.2 with wxPython-2.8.3.0-1.fc7:
> Traceback (most recent call last):
>   File "tagger.py", line 5, in <module>
>     from picard import tagger
>   File "/home/pza/picard-0.7.2/picard/tagger.py", line 64, in <module>
>     import wx
> ImportError: No module named wx
> 
> 

> Is this the same problem?
> 

No. 

You are missing compat-wxPythonGTK2-2.4.2.4-15.fc7
Comment 5 Phil Anderson 2007-07-03 06:48:36 EDT
(In reply to comment #0)
> Description of problem:
> The picard tagger from musicbrainz depend on wxPython 2.8.4.0 to function as it
> needs the backward compability code in PyEventBinder.

Are you sure wxPython 2.8.4 fixes picard?  I rebuild the FC 7 wxGTK & wxPython
SRPMS for 2.8.4 and I still got:

[pza@augustus picard-0.7.2]$ ./MBTagger 
Traceback (most recent call last):
  File "tagger.py", line 5, in <module>
    from picard import tagger
  File "/home/pza/picard-0.7.2/picard/tagger.py", line 79, in <module>
    from picard import events, coverartcache, albummanager, util, debug,
tpmanager, cluster, wpath, cuesheet, playlist, puidmanager
  File "/home/pza/picard-0.7.2/picard/events.py", line 66, in <module>
    EVT_CLUSTER_ADDED = wx.PyEventBinder(EVT_CLUSTER_ADDED_ID, 0)
AttributeError: 'module' object has no attribute 'PyEventBinder'

[pza@augustus picard-0.7.2]$ rpm -qa | grep wx | sort
compat-wxGTK2-2.4.2-21.fc6
compat-wxGTK2-gl-2.4.2-21.fc6
compat-wxGTK-common-2.4.2-21.fc6
compat-wxPythonGTK2-2.4.2.4-15.fc7
wxGTK-2.8.4-1.fc7
wxGTK-devel-2.8.4-1.fc7
wxGTK-gl-2.8.4-1.fc7
wxPython-2.8.4.0-1.fc7
Comment 6 Phil Anderson 2007-07-03 07:19:05 EDT
Ignore my ignorance about python.... After removing the compat packages,
rebuilding with 2.8.4 and updating picard/tagger.py to load the 2.8 module
version, picard works fine.  Sorry for the noise!
Comment 7 Matthew Miller 2007-07-11 15:07:44 EDT
Rebuilding the wxGTK 2.8.4 rpms for Rawhide now; when those are done, these are
next. Then, will build them for f7 updates-testing.
Comment 8 Matthew Miller 2007-07-16 12:15:15 EDT
This is now in updates-testing (and rawhide). Could people please test to verify
that the known problems are fixed and that new problems haven't appeared? Thanks!
Comment 9 Fedora Update System 2007-07-16 12:53:16 EDT
wxPython-2.8.4.0-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Knut-Håvard Aksnes 2007-07-17 12:30:02 EDT
Picard still doesn't work for me it freezes during startup. After window
initialization but before most of the contents are initialized
The only changes in picard i had to do was to add 2.8 support to
tracker.py by changing this line
    wxversion.select(["2.6", "2.7"])
to
    wxversion.select(["2.6", "2.7", "2.8"])
The freeze seems to happen during loadcing of signal.py
The output of
    PYTHONVERBOSE=2 PYTHONDEBUG=2 picard
ends with
# trying /usr/lib/python2.5/site-packages/picard/ui/nagdialog.so
# trying /usr/lib/python2.5/site-packages/picard/ui/nagdialogmodule.so
# trying /usr/lib/python2.5/site-packages/picard/ui/nagdialog.py
# /usr/lib/python2.5/site-packages/picard/ui/nagdialog.pyc matches
/usr/lib/python2.5/site-packages/picard/ui/nagdialog.py
import picard.ui.nagdialog # precompiled from
/usr/lib/python2.5/site-packages/picard/ui/nagdialog.pyc
# trying /usr/lib/python2.5/site-packages/picard/usercheck.so
# trying /usr/lib/python2.5/site-packages/picard/usercheckmodule.so
# trying /usr/lib/python2.5/site-packages/picard/usercheck.py
# /usr/lib/python2.5/site-packages/picard/usercheck.pyc matches
/usr/lib/python2.5/site-packages/picard/usercheck.py
import picard.usercheck # precompiled from
/usr/lib/python2.5/site-packages/picard/usercheck.pyc
# trying /usr/lib/python2.5/site-packages/wx-2.8-gtk2-unicode/wx/signal.so
# trying /usr/lib/python2.5/site-packages/wx-2.8-gtk2-unicode/wx/signalmodule.so
# trying /usr/lib/python2.5/site-packages/wx-2.8-gtk2-unicode/wx/signal.py
# trying /usr/lib/python2.5/site-packages/wx-2.8-gtk2-unicode/wx/signal.pyc

Comment 11 Matthew Miller 2007-07-17 12:47:07 EDT
Well, we're definitely upgraded to 2.8.4.0 now; can we put that in a separate bug?
Comment 12 Knut-Håvard Aksnes 2007-07-17 13:59:49 EDT
I will write create a new bug report for this.
Comment 13 Fedora Update System 2007-08-01 23:43:32 EDT
wxPython-2.8.4.0-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.